window.smxzSDK = {
    userData: {},
    loginCB: null,
    hasUpload: false,
    csLogin: function (loginCB) {
        this.loginCB = loginCB
        if (this.userData.userId) {
            loginCB(this.userData);
        } else {
            try {
               Android.login();
            } catch (e) {
                console.error("请在android 环境下执行此代码")
            }
        }
    },
    onLogined: function (data) {
        this.userData = JSON.parse(data);
    },
    csUpload: function (logData, uploadCB) {
        try {
           Android.upload(JSON.stringify(logData))
        } catch (e) {
            console.error("请在android 环境下执行此代码"+e)
        }
    },
    onUploaded: function (msg) {
        console.log("上报成功")
        alert(msg);
        this.hasUpload = true;
    },
    csPay: function (payData,payCB) {
        try {
            if(this.hasUpload){
               Android.pay(JSON.stringify(payData))
            }else{
                payCB("请先上报角色信息")
            }
        } catch (e) {
            console.error("请在android 环境下执行此代码")
        }
    },
    onPayed: function (msg) {
        console.log("支付状态:" + msg)
    }

}